API Explorer 1884 endpoints

Create new carbon_credit_batch

POST /obp/v7.0.0/banks/dylan-bank/dynamic-entities/carbon_credit_batch

OBPv7.0.0-dynamicEntity_createcarbon_credit_batch_dylan-bank Roles: CanCreateDynamicEntityRecord_carbon_credit_batch(per bank) _Carbon_credit_batch(dylan-bank)Dynamic-EntityDynamic

Create new carbon_credit_batch.

One batch of certified carbon credit units issued for an activity over one monitoring period after certification or re-certification. Represented by a Batch NFT. This Dynamic Entity is part of OGCR.

Property List:

  • carbon_credit_batch_id: Internal identifier for the batch
  • activity_id: Activity that generated the units
  • certificate_of_compliance_id: Certificate (or updated certificate after re-certification) the units were issued from
  • unit_type: Permanent Removal, Carbon Farming Sequestration, Soil Emission Reduction or Carbon Storage in Product
  • status_code: Unit status: issued, ratired, expired, cancelled

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"carbon_credit_batch"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "carbon_credit_batch_id": "string",
  "activity_id": "string",
  "certificate_of_compliance_id": "string",
  "unit_type": "string",
  "monitoring_period_start_date": "2020-01-01",
  "monitoring_period_end_date": "2020-01-01",
  "amount": 1,
  "status_code": "string",
  "issue_date": "2020-01-01",
  "expiry_date": "2020-01-01"
}
Example success response
{
  "bank_id": "dylan-bank",
  "carbon_credit_batch": {
    "carbon_credit_batch_id": "string",
    "activity_id": "string",
    "certificate_of_compliance_id": "string",
    "unit_type": "string",
    "monitoring_period_start_date": "2020-01-01",
    "monitoring_period_end_date": "2020-01-01",
    "amount": 1,
    "status_code": "string",
    "issue_date": "2020-01-01",
    "expiry_date": "2020-01-01"
  },
  "metadata": {
    "created": {
      "at": "2026-09-30T10:12:00Z",
      "user_id": "a9f2c7e1-3d4b-4a5c-8e6f-7a8b9c0d1e2f",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    },
    "updated": {
      "at": "2026-09-30T11:40:00Z",
      "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1",
      "on_behalf_of_user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
    }
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv7.0.0 dynamicEntity_createcarbon_credit_batch_dylan-bank Originally /banks/dylan-bank/dynamic-entities/carbon_credit_batch